# Delete Function

Launch stage: GA

`DELETE /api/2.1/unity-catalog/functions/{full_name_arg}`

Deletes the function that matches the supplied name.
 For the deletion to succeed, the user must satisfy one of the following conditions:
 - Is the owner of the function's parent catalog
 - Is the owner of the function's parent schema and have the **USE_CATALOG** privilege on its parent catalog
 - Is the owner of the function itself and have both the **USE_CATALOG** privilege on its parent catalog and the **USE_SCHEMA** privilege on its parent schema

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  The fully-qualified name of the function (of the form __catalog_name__.__schema_name__.__function__name__) .

## Query parameters

- `force` (boolean, optional)
  Force deletion even if the function is notempty.

## Response

```json
{}
```

